#
# spec file for package unarj (Version 2.65)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           unarj
URL:            http://www.arjsoftware.com
License:        Other License(s), see package
Group:          Productivity/Archiving/Compression
Autoreqprov:    on
Version:        2.65
Release:        155.2
Summary:        Pack Program
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-time.diff
Patch1:         %{name}-%{version}-overflow.diff
Patch2:         %{name}-%{version}-path.diff
Patch3:         %{name}-%{version}-notice.diff
Patch4:         %{name}-%{version}-strip.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unarj allows for unpacking of .arj files, which are widely spread in
the DOS world. It is included for compatibility reasons, to be able to
extract packages from DOS. It should not be used for compressing
packages under Linux. Use gzip, which is the standard, instead.



Authors:
--------
    Robert Jung <robjung@world.std.com>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall -ansi -pedantic -DUNIX -fstack-protector"

%install
install -d -m755 $RPM_BUILD_ROOT%{_bindir}
install -m755 unarj $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt unarj.lsm
%{_bindir}/unarj

%changelog -n unarj
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Jan 12 2006 - lmichnovic@suse.cz
- added -fstack-protector into CFLAGS
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Mon Sep 12 2005 - lmichnovic@suse.cz
- notice changed to polite version (#63553)
* Fri Nov 26 2004 - mjancar@suse.cz
- inform about our fixes in the printed notice (#48553)
* Fri Nov 12 2004 - mjancar@suse.cz
- fix buffer overflow and tree traversal (#47184)
* Tue Jun 10 2003 - mjancar@suse.cz
- update to 2.65
  * Fixed table boundaries.
  * Added additional header data checks.
  * Added chapter and encryption information.
- use $RPM_OPT_FLAGS
- kill allready applied patches
* Wed Oct 02 2002 - jderfina@suse.cz
- Added subdirectory creation for the x command.
- Fixed wrong time handling when daylight saving time.
- Fixed date handling for year 2000 (it is leap year).
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri Mar 24 2000 - bubnikv@suse.cz
- added buildroot
* Fri Oct 22 1999 - freitag@suse.de
- update to verison 2.43
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 02 1997 - rj@suse.de
- new package
